Skip to main content
POST
/
v2
/
payments
/
authorizations
/
{authorization_id}
/
capture
curl --request POST \
  --url https://api-m.paypal.com/v2/payments/authorizations/{authorization_id}/capture \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "amount": {
    "value": "10.99",
    "currency_code": "USD"
  },
  "invoice_id": "INVOICE-123",
  "final_capture": true,
  "note_to_payer": "If the ordered color is not available, we will substitute with a different color free of charge.",
  "soft_descriptor": "Bob's Custom Sweaters"
}
EOF
{
  "id": "23T524207X938445J",
  "amount": {
    "currency_code": "USD",
    "value": "100.00"
  },
  "final_capture": false,
  "seller_protection": {
    "status": "ELIGIBLE",
    "dispute_categories": [
      "ITEM_NOT_RECEIVED",
      "UNAUTHORIZED_TRANSACTION"
    ]
  },
  "seller_receivable_breakdown": {
    "gross_amount": {
      "currency_code": "USD",
      "value": "1.00"
    },
    "paypal_fee": {
      "currency_code": "USD",
      "value": "0.52"
    },
    "net_amount": {
      "currency_code": "USD",
      "value": "0.48"
    },
    "exchange_rate": {}
  },
  "invoice_id": "OrderInvoice-10_10_2024_12_58_20_pm",
  "status": "COMPLETED",
  "create_time": "2024-10-14T21:29:26Z",
  "update_time": "2024-10-14T21:29:26Z",
  "links": [
    {
      "href": "https://api-m.paypal.com/v2/payments/captures/23T524207X938445J",
      "rel": "self",
      "method": "GET"
    },
    {
      "href": "https://api-m.paypal.com/v2/payments/captures/23T524207X938445J/refund",
      "rel": "refund",
      "method": "POST"
    },
    {
      "href": "https://api-m.paypal.com/v2/payments/authorizations/6DR965477U7140544",
      "rel": "up",
      "method": "GET"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication

Headers

PayPal-Request-Id
string

A unique ID identifying the request header for idempotency purposes.

Required string length: 1 - 10000
Pattern: ^.*$
Prefer
string
default:return=minimal

The preferred server response upon successful completion of the request. Value is:

  • return=minimal. The server returns a minimal response to optimize communication between the API caller and the server. A minimal response includes the id, status and HATEOAS links.
  • return=representation. The server returns a complete resource representation, including the current state of the resource.

Maximum string length: 2147483647
Pattern: ^[\S\s]*$
Authorization
string

Holds authorization information for external API calls. Standard headers are generally less restrictive in structure due to historical precedent across browsers, etc. This is a common schema for use in defining most standard headers.

Required string length: 1 - 16000
Pattern: ^.*$
PayPal-Auth-Assertion
string

Header for an API client-provided JWT assertion that identifies the merchant. Establishing the consent to act-on-behalf of a merchant is a prerequisite for using this header.

Required string length: 1 - 10000
Pattern: ^.*$

Path Parameters

authorization_id
string
required

The PayPal-generated ID for the authorized payment to capture.

Maximum string length: 2147483647
Pattern: ^[\S\s]*$

Body

application/json

Captures either a portion or the full authorized amount of an authorized payment.

invoice_id
string

The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives.

Required string length: 1 - 127
Pattern: ^[\S\s]*$
note_to_payer
string

An informational note about this settlement. Appears in both the payer's transaction history and the emails that the payer receives.

Required string length: 1 - 255
Pattern: ^[\S\s]*$
amount
amount_with_breakdown · object

The amount to capture with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, gratuity and discounts, if any. To capture a portion of the full authorized amount, specify an amount. If amount is not specified, the full authorized amount is captured. The amount must be a positive number and in the same currency as the authorization against which the payment is being captured.
If you specify amount.breakdown, the amount equals item_total plus tax_total plus shipping plus handling plus insurance plus 'gratuity' minus shipping_discount minus discount.
The amount must be a positive number. The amount.value field supports up to 15 digits preceding the decimal. For a list of supported currencies, decimal precision, and maximum charge amount, see the PayPal REST APIs <a href="https://developer.paypal.com/api/rest/reference/currency-codes/\">Currency Codes.

final_capture
boolean
default:false

Indicates whether you can make additional captures against the authorized payment. Set to true if you do not intend to capture additional payments against the authorization. Set to false if you intend to capture additional payments against the authorization.

payment_instruction
payment_instruction · object

Any additional payment instructions to be consider during payment processing. This processing instruction is applicable for Capturing an order or Authorizing an Order.

soft_descriptor
string

The payment descriptor on the payer's account statement.

Maximum string length: 22
Pattern: ^[\S\s]*$

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that shows captured payment details.

A captured payment.

status
enum<string>
read-only

The status of the captured payment.

Available options:
COMPLETED,
DECLINED,
PARTIALLY_REFUNDED,
PENDING,
REFUNDED,
FAILED
status_details
capture_status_details · object

The details of the captured payment status.

id
string
read-only

The PayPal-generated ID for the captured payment.

Maximum string length: 2147483647
Pattern: ^[\S\s]*$
amount
amount_with_breakdown · object

The amount for this captured payment.

invoice_id
string
read-only

The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives.

Maximum string length: 2147483647
Pattern: ^[\S\s]*$
custom_id
string

The API caller-provided external ID. Used to reconcile API caller-initiated transactions with PayPal transactions. Appears in transaction and settlement reports.

Maximum string length: 255
Pattern: ^[\S\s]*$
network_transaction_reference
network_transaction · object

Reference values used by the card network to identify a transaction.

seller_protection
seller_protection · object

The level of protection offered as defined by PayPal Seller Protection for Merchants.

final_capture
boolean
default:false
read-only

Indicates whether you can make additional captures against the authorized payment. Set to true if you do not intend to capture additional payments against the authorization. Set to false if you intend to capture additional payments against the authorization.

seller_receivable_breakdown
Seller Receivable Breakdown · object

The detailed breakdown of the capture activity. This is not available for transactions that are in pending state.

disbursement_mode
enum<string>
default:INSTANT

The funds that are held on behalf of the merchant.

Available options:
INSTANT,
DELAYED

An array of related HATEOAS links.

Maximum array length: 32767
processor_response
processor_response · object

An object that provides additional processor information for a direct credit card transaction.

create_time
string

The date and time when the transaction occurred, in Internet date and time format.

Required string length: 20 - 64
Pattern: ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
update_time
string

The date and time when the transaction was last updated, in Internet date and time format.

Required string length: 20 - 64
Pattern: ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
supplementary_data
Payment Supplementary Data · object

An object that provides supplementary/additional data related to a payment transaction.

payee
payee_base · object

The details for the merchant who receives the funds and fulfills the order. The merchant is also known as the payee.